cURL
curl --request GET \ --url https://api.example.com/api/v1/files/{file_uuid}/permissions \ --header 'Authorization: <api-key>'
{ "count": 123, "permissions": [ { "created_at": "<string>", "expires_at": "<string>", "granted_by": "<string>", "id": "<string>", "permission": "<string>", "principal_id": "<string>", "principal_type": "<string>" } ] }
Returns all permission entries on a file. Requires owner or admin permission.
Documentation IndexFetch the complete documentation index at: https://gns3util.saygex.xyz/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://gns3util.saygex.xyz/llms.txt
Use this file to discover all available pages before exploring further.
Type "Bearer" followed by a space and JWT token.
File UUID
OK
Show child attributes